Subject: bug#52983: Implement visual-fill-column equivalent in display engine

From: Stefan Kangas <[email-masked]>
Date: Mon, 3 Jan 2022 12:59:23 -0500

Severity: wishlist

The `visual-fill-column' package implements the following behavior,
according to its own description:

    visual-fill-column-mode is a small Emacs minor mode that mimics the
    effect of fill-column in visual-line-mode.  Instead of wrapping
    lines at the window edge, which is the standard behaviour of
    visual-line-mode, it wraps lines at fill-column (or
    visual-fill-column-width, if set).  That is, it turns the view on
    the left into the view on the right, without changing the contents
    of the file:

It would be better if we could implement this in the display engine.

More information and screenshots:
https://github.com/joostkremers/visual-fill-column

This was discussed in:
https://lists.gnu.org/archive/html/emacs-devel/2022-01/msg00290.html